Bug 97270 - [softpipe] piglit ext_framebuffer_multisample-fast-clear GL_ARB_texture_rg single-sample regression
Summary: [softpipe] piglit ext_framebuffer_multisample-fast-clear GL_ARB_texture_rg si...
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/softpipe (show other bugs)
Version: 13.0
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks: 98471
  Show dependency treegraph
 
Reported: 2016-08-09 23:01 UTC by Vinson Lee
Modified: 2019-09-18 18:27 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2016-08-09 23:01:03 UTC
mesa: aa920736feeddd1793861651e95bcd09524e024c (12.1.0-devel)


$ ./bin/ext_framebuffer_multisample-fast-clear GL_ARB_texture_rg single-sample -auto 
Using test set: GL_ARB_texture_rg
Testing GL_R8
Probe color at (0,0)
  Expected: 1.000000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 1.000000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 0.250000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 0.750000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 0.500000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 1.000000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Testing GL_R16
Probe color at (0,0)
  Expected: 1.000000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 1.000000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 0.250000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 0.750000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 0.500000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 1.000000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Testing GL_RG
Probe color at (0,0)
  Expected: 1.000000 1.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 1.000000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 0.250000 0.500000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 0.750000 0.500000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 0.500000 0.250000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 1.000000 1.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Testing GL_RG8
Probe color at (0,0)
  Expected: 1.000000 1.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 1.000000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 0.250000 0.500000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 0.750000 0.500000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 0.500000 0.250000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 1.000000 1.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Testing GL_RG16
Probe color at (0,0)
  Expected: 1.000000 1.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 1.000000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 0.250000 0.500000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 0.750000 0.500000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 0.500000 0.250000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Probe color at (0,0)
  Expected: 1.000000 1.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
PIGLIT: {"result": "fail" }


79dcd69afae4ada47fd4e746e9eec87c6d8028f0 is the first bad commit
commit 79dcd69afae4ada47fd4e746e9eec87c6d8028f0
Author: Marek Olšák <marek.olsak@amd.com>
Date:   Sun Jul 17 20:37:58 2016 +0200

    st/mesa: remove excessive shader state dirtying
    
    This just needs to be done by st_validate_state.
    
    v2: add "shaders_may_be_dirty" flags for not skipping st_validate_state
        on _NEW_PROGRAM to detect real shader changes
    
    Reviewed-by: Nicolai Hähnle <nicolai.haehnle@amd.com>

:040000 040000 4238d586367bef5a5a86b083a13b523b6f7eab26 a510286b945d1d577b39aa2ba417a652d1ebbc2d M	src
bisect run success
Comment 1 Vinson Lee 2017-03-31 23:42:28 UTC
mesa: 150736b5c34fc07de296454b973ae72ede215ae2 (master 17.1.0-devel)

Regression is still present.
Comment 2 GitLab Migration User 2019-09-18 18:27:58 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/217.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.